## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iSelfDestruct Struct Reference
[Utilities]

An object implementing this interface can remove itself from its 'natural parent'. More...

`#include <iutil/selfdestruct.h>`

Inheritance diagram for iSelfDestruct:

[legend]
List of all members.

## Public Member Functions

virtual void | SelfDestruct ()=0
| Remove me!

## Detailed Description

An object implementing this interface can remove itself from its 'natural parent'.

For example, if this is used on a mesh object then the engine will be the natural parent. This is used by iEngine->RemoveObject().

Definition at line 36 of file selfdestruct.h.

## Member Function Documentation

virtual void iSelfDestruct::SelfDestruct | ( |  | ) | `[pure virtual]`

| Remove me!

The documentation for this struct was generated from the following file:

- iutil/selfdestruct.h